# Class CalldataDecodingInspector

Similar to [[ResultInspector]], but for a [[CalldataDecoding]]. See [[ResultInspector]] for more information.

#### Hierarchy

- CalldataDecodingInspector

- Defined in codec/lib/export.ts:292

#####
Index

### Constructors

constructor

### Properties

decoding
options

### Methods

[custom]
inspect

## Constructors

### constructor

- new CalldataDecodingInspector(decoding, options?): CalldataDecodingInspector

- #### Parameters

  - ##### decoding: CalldataDecoding

  - ##### `Optional` options: ResultInspectorOptions

  #### Returns CalldataDecodingInspector

  - Defined in codec/lib/export.ts:296

## Properties

### decoding

decoding: CalldataDecoding

- Defined in codec/lib/export.ts:293

### options

options: ResultInspectorOptions

- Defined in codec/lib/export.ts:294

## Methods

### [custom]

- [custom](depth, options): string

- #### Parameters

  - ##### depth: number

  - ##### options: InspectOptions

  #### Returns string

  - Defined in codec/lib/export.ts:307

### inspect

- inspect(depth, options): string

- #### Parameters

  - ##### depth: number

  - ##### options: InspectOptions

  #### Returns string

  #### Dev

  non-standard alternative interface name used by browser-util-inspect package

  - Defined in codec/lib/export.ts:304

Generated using TypeDoc